Page MenuHomePhabricator

API Help for FileRepoInfo incorrectly displays apiurl as a property
Closed, ResolvedPublic

Description

In the live help for FileRepoInfo, the apiurl property shows up as always available, but in reality, it's only available for wikis with InstantCommons enabled and will spit out a warning message on any other wiki. (Compare the example from the help on: MediaWiki vs RationalWiki.)

The problem is that apiurl is hard-coded into the apihelp-query+filerepoinfo-param-prop entry in the help file (includes/api/i18n/en.json) as well as being used in the example in incudes/api/ApiQueryFileRepoInfo.php.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2018, 11:08 PM

Change 441211 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] API: Use param-per-value for meta=filerepoinfo's friprop docs

https://gerrit.wikimedia.org/r/441211

Xqt added a subscriber: Xqt.Jun 20 2018, 3:06 PM

Change 441211 merged by jenkins-bot:
[mediawiki/core@master] API: Use param-per-value for meta=filerepoinfo's friprop docs

https://gerrit.wikimedia.org/r/441211

Anomie closed this task as Resolved.Jun 20 2018, 3:47 PM

The fix should be deployed to Wikimedia wikis with 1.32.0-wmf.10 or later. See https://www.mediawiki.org/wiki/MediaWiki_1.32/Roadmap#Schedule_for_the_deployments for a schedule.

Vvjjkkii renamed this task from API Help for FileRepoInfo incorrectly displays apiurl as a property to tmaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Anomie as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Anomie; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from tmaaaaaaaa to API Help for FileRepoInfo incorrectly displays apiurl as a property.Jul 2 2018, 1:17 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Anomie.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Anomie.